> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shipping Method

> Returns a single Shipping Method for the WMS connection with the associated shipping method id.



## OpenAPI

````yaml get /wms/shipping-methods/{shipping_method_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/shipping-methods/{shipping_method_id}:
    get:
      tags:
        - wms
        - Shipping Methods
      summary: Get Shipping Method
      description: >-
        Returns a single Shipping Method for the WMS connection with the
        associated shipping method id.
      operationId: get_wms_get_shipping_method
      parameters:
        - in: path
          name: shipping_method_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsShippingMethodsSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsShippingMethodsSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsShippingMethodApiItemSchema'
      additionalProperties: false
      title: WmsShippingMethodsSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsShippingMethodApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the shipping method.
          example: shipping_method_id
        created_date:
          type: string
          format: date-time
          description: The date the shipping method was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the shipping method was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: The name of the shipping method.
          example: Priority Overnight
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier for the shipping method.
          example: fedex
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier for the shipping method.
          example: FedEx
        scac:
          type:
            - string
            - 'null'
          description: The Standard Carrier Alpha Code (SCAC) for the shipping method.
          example: FDXG
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - carrier_id
        - carrier_name
        - created_date
        - id
        - name
        - scac
        - trackstar_created_date
        - trackstar_updated_date
        - updated_date
      additionalProperties: false
      title: WmsShippingMethodApiItemSchema

````